<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Example of a simple concordance analysis • ghruR</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Example of a simple concordance analysis">
<meta property="og:description" content="ghruR">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><script src="simple_concordance_example_files/header-attrs-2.11/header-attrs.js"></script><script src="simple_concordance_example_files/kePrint-0.0.1/kePrint.js"></script><link href="simple_concordance_example_files/lightable-0.0.1/lightable.css" rel="stylesheet">
<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1 data-toc-skip>Example of a simple concordance analysis</h1>
                        <h4 class="author">Anthony Underwood</h4>
            
      
      
      <div class="hidden name"><code>simple_concordance_example.Rmd</code></div>

    </div>

    
    
<div id="introduction" class="section level2">
<h2 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h2>
<hr>
<p>This vignette demonstrates a concordance analysis looking at the concordance of just presence of a carbapenamase with susceptiblity or non-susceptibility as determined by phenotypic testing.</p>
<div id="getting-and-formatting-the-data" class="section level3">
<h3 class="hasAnchor">
<a href="#getting-and-formatting-the-data" class="anchor"></a>Getting and formatting the data</h3>
<hr>
<p>First get the relevant data sets</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va">ghruR</span><span class="op">)</span>
<span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="http://haozhu233.github.io/kableExtra/">kableExtra</a></span><span class="op">)</span>
<span class="va">ast_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"Antimicrobial Susceptibility Testing"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"
## [1] "anthony.underwood@cgps.group"
## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">acquired_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"AMR Klebsiella pneumoniae"</span>,
  AMR_type <span class="op">=</span> <span class="st">"acquired"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
</div>
<div id="samples-with-carbapenamases" class="section level3">
<h3 class="hasAnchor">
<a href="#samples-with-carbapenamases" class="anchor"></a>Samples with carbapenamases</h3>
<hr>
<p>Convert the acquired AMR data to long format, and annotate it and for each sample with at least one carbapenamase record <code>NS</code> (non-susceptible) else <code>S</code></p>
<div class="sourceCode" id="cb5"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="co"># convert to long format</span>
<span class="va">annotated_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/annotate_amr_data.html">annotate_amr_data</a></span><span class="op">(</span><span class="va">acquired_amr_data</span><span class="op">)</span>
<span class="co"># filter data for those that have acquired the gene and have good pct_id match and ctg_cov</span>
<span class="va">acquired_genes_present</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/filter_long_data.html">filter_long_data</a></span><span class="op">(</span><span class="va">annotated_amr_data</span><span class="op">)</span>
<span class="co"># filter by subclass</span>
<span class="va">carbapenamases</span> <span class="op">&lt;-</span> <span class="va">acquired_genes_present</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">subclass</span> <span class="op">==</span> <span class="st">"CARBAPENEM"</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">gene</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/rename.html">rename</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="va">gene</span><span class="op">)</span>
<span class="co"># collapse the data so there is one row per sample using the summarise feature</span>
<span class="va">carbapenamases</span> <span class="op">%&lt;&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/group_by.html">group_by</a></span><span class="op">(</span><span class="va">`Sample id`</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/summarise.html">summarise</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">determinant</span>, collapse <span class="op">=</span> <span class="st">";"</span><span class="op">)</span><span class="op">)</span>
<span class="co"># Join with original data so we have a row for each sample</span>
<span class="va">samples_with_carbapenamases</span> <span class="op">&lt;-</span> <span class="va">acquired_amr_data</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">left_join</a></span><span class="op">(</span><span class="va">carbapenamases</span>, by <span class="op">=</span> <span class="st">'Sample id'</span><span class="op">)</span>
<span class="co"># Convert to predictions</span>
<span class="va">samples_with_predicted_carabapenem_resistance</span> <span class="op">&lt;-</span> <span class="va">samples_with_carbapenamases</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>predicted_resistance <span class="op">=</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/case_when.html">case_when</a></span><span class="op">(</span>
    <span class="fu"><a href="https://rdrr.io/r/base/NA.html">is.na</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span> <span class="op">~</span> <span class="st">"S"</span>,
    <span class="cn">TRUE</span> <span class="op">~</span> <span class="st">"NS"</span>
  <span class="op">)</span><span class="op">)</span></code></pre></div>
</div>
<div id="linking-to-ast-data" class="section level3">
<h3 class="hasAnchor">
<a href="#linking-to-ast-data" class="anchor"></a>Linking to AST data</h3>
<hr>
<div class="sourceCode" id="cb6"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">genomic_and_ast_data</span> <span class="op">&lt;-</span> <span class="va">ast_data</span> <span class="op">%&gt;%</span>
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">IPM</span>, <span class="va">MEM</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>IPM_phenotypic_resistance <span class="op">=</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/case_when.html">case_when</a></span><span class="op">(</span>
    <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_starts.html">str_starts</a></span><span class="op">(</span><span class="va">IPM</span>, <span class="st">"S"</span><span class="op">)</span> <span class="op">~</span> <span class="st">"S"</span>,
    <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_starts.html">str_starts</a></span><span class="op">(</span><span class="va">IPM</span>, <span class="st">"I"</span><span class="op">)</span> <span class="op">~</span> <span class="st">"NS"</span>,
    <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_starts.html">str_starts</a></span><span class="op">(</span><span class="va">IPM</span>, <span class="st">"R"</span><span class="op">)</span> <span class="op">~</span> <span class="st">"NS"</span>,
    <span class="cn">TRUE</span> <span class="op">~</span> <span class="st">""</span>
  <span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>MEM_phenotypic_resistance <span class="op">=</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/case_when.html">case_when</a></span><span class="op">(</span>
    <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_starts.html">str_starts</a></span><span class="op">(</span><span class="va">MEM</span>, <span class="st">"S"</span><span class="op">)</span> <span class="op">~</span> <span class="st">"S"</span>,
    <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_starts.html">str_starts</a></span><span class="op">(</span><span class="va">MEM</span>, <span class="st">"I"</span><span class="op">)</span> <span class="op">~</span> <span class="st">"NS"</span>,
    <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_starts.html">str_starts</a></span><span class="op">(</span><span class="va">MEM</span>, <span class="st">"R"</span><span class="op">)</span> <span class="op">~</span> <span class="st">"NS"</span>,
    <span class="cn">TRUE</span> <span class="op">~</span> <span class="st">""</span>
  <span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">inner_join</a></span><span class="op">(</span><span class="va">samples_with_predicted_carabapenem_resistance</span><span class="op">)</span></code></pre></div>
<p>Calculate sensitivity specificty</p>
<div class="sourceCode" id="cb7"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://fvas.unimelb.edu.au/research/groups/veterinary-epidemiology-melbourne">epiR</a></span><span class="op">)</span>
<span class="va">drugs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">num_tests</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">concordances</span> <span class="op">&lt;-</span>  <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">TPs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">FPs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">TNs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">FNs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">specificities</span> <span class="op">&lt;-</span>  <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">specificity_lower_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">specificity_upper_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">sensitivities</span> <span class="op">&lt;-</span>  <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">sensitivity_lower_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">sensitivity_upper_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="op">)</span>
<span class="kw">for</span> <span class="op">(</span><span class="va">drug</span> <span class="kw">in</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="st">"IPM"</span>, <span class="st">"MEM"</span><span class="op">)</span><span class="op">)</span><span class="op">{</span>
  <span class="va">drug_num_tests</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/sum.html">sum</a></span><span class="op">(</span><span class="op">!</span><span class="fu"><a href="https://rdrr.io/r/base/NA.html">is.na</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">drug</span>, <span class="st">'_phenotypic_resistance'</span><span class="op">)</span><span class="op">]</span><span class="op">]</span><span class="op">)</span> <span class="op">&amp;</span> <span class="op">!</span><span class="fu"><a href="https://rdrr.io/r/base/NA.html">is.na</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="st">'predicted_resistance'</span><span class="op">]</span><span class="op">]</span><span class="op">)</span>, na.rm <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
  <span class="va">concordance</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/sum.html">sum</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">drug</span>, <span class="st">'_phenotypic_resistance'</span><span class="op">)</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="st">'predicted_resistance'</span><span class="op">]</span><span class="op">]</span>, na.rm <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">/</span> <span class="va">drug_num_tests</span>
  <span class="co"># add to lists</span>
  <span class="va">num_tests</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">num_tests</span>, <span class="va">drug_num_tests</span><span class="op">)</span>
  <span class="va">concordances</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">concordances</span>, <span class="va">concordance</span><span class="op">)</span>
  <span class="co"># calculate TP, FP, FN, TN</span>
  <span class="va">TP</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/sum.html">sum</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">drug</span>, <span class="st">'_phenotypic_resistance'</span><span class="op">)</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"NS"</span> <span class="op">&amp;</span> <span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="st">'predicted_resistance'</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"NS"</span>, na.rm <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
  <span class="va">FP</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/sum.html">sum</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">drug</span>, <span class="st">'_phenotypic_resistance'</span><span class="op">)</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"S"</span> <span class="op">&amp;</span> <span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="st">'predicted_resistance'</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"NS"</span>, na.rm <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
  <span class="va">FN</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/sum.html">sum</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">drug</span>, <span class="st">'_phenotypic_resistance'</span><span class="op">)</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"NS"</span> <span class="op">&amp;</span> <span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="st">'predicted_resistance'</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"S"</span>, na.rm <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
  <span class="va">TN</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/sum.html">sum</a></span><span class="op">(</span><span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="fu"><a href="https://rdrr.io/r/base/paste.html">paste0</a></span><span class="op">(</span><span class="va">drug</span>, <span class="st">'_phenotypic_resistance'</span><span class="op">)</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"S"</span> <span class="op">&amp;</span> <span class="va">genomic_and_ast_data</span><span class="op">[[</span><span class="st">'predicted_resistance'</span><span class="op">]</span><span class="op">]</span> <span class="op">==</span> <span class="st">"S"</span>, na.rm <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>
  
  <span class="co"># add to lists</span>
  <span class="va">TPs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">TPs</span>, <span class="va">TP</span><span class="op">)</span>
  <span class="va">FPs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">FPs</span>, <span class="va">FP</span><span class="op">)</span>
  <span class="va">TNs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">TNs</span>, <span class="va">TN</span><span class="op">)</span>
  <span class="va">FNs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">FNs</span>, <span class="va">FN</span><span class="op">)</span>
  
  <span class="co"># Make 2x2 matrix</span>
  <span class="va">contigency_tab</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/table.html">as.table</a></span><span class="op">(</span><span class="fu"><a href="https://rdrr.io/r/base/matrix.html">matrix</a></span><span class="op">(</span><span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">TP</span>,<span class="va">FP</span>, <span class="va">FN</span>, <span class="va">TN</span><span class="op">)</span>, nrow <span class="op">=</span> <span class="fl">2</span>, byrow <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span><span class="op">)</span>
  
  <span class="co"># Use epi.stats function from epiR package to calculate specificty and sensitivity and confidence bounds</span>
  <span class="va">specificity</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/pkg/epiR/man/epi.tests.html">epi.tests</a></span><span class="op">(</span><span class="va">contigency_tab</span>, conf.level <span class="op">=</span> <span class="fl">0.95</span><span class="op">)</span><span class="op">$</span><span class="va">elements</span><span class="op">$</span><span class="va">specificity</span>
  <span class="va">spec_result</span> <span class="op">&lt;-</span> <span class="va">specificity</span><span class="op">$</span><span class="va">est</span>
  <span class="va">spec_lower</span> <span class="op">&lt;-</span> <span class="va">specificity</span><span class="op">$</span><span class="va">lower</span>
  <span class="va">spec_upper</span> <span class="op">&lt;-</span> <span class="va">specificity</span><span class="op">$</span><span class="va">upper</span>
  
  <span class="va">sensitivity</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/pkg/epiR/man/epi.tests.html">epi.tests</a></span><span class="op">(</span><span class="va">contigency_tab</span>, conf.level <span class="op">=</span> <span class="fl">0.95</span><span class="op">)</span><span class="op">$</span><span class="va">elements</span><span class="op">$</span><span class="va">sensitivity</span>
  <span class="va">sens_result</span> <span class="op">&lt;-</span> <span class="va">sensitivity</span><span class="op">$</span><span class="va">est</span>
  <span class="va">sens_lower</span> <span class="op">&lt;-</span> <span class="va">sensitivity</span><span class="op">$</span><span class="va">lower</span>
  <span class="va">sens_upper</span> <span class="op">&lt;-</span> <span class="va">sensitivity</span><span class="op">$</span><span class="va">upper</span>
  
  <span class="co"># add to lists</span>
  <span class="va">drugs</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">drugs</span>, <span class="va">drug</span><span class="op">)</span>
  <span class="va">specificities</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">specificities</span>, <span class="va">spec_result</span><span class="op">)</span>
  <span class="va">specificity_lower_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">specificity_lower_limits</span>, <span class="va">spec_lower</span><span class="op">)</span>
  <span class="va">specificity_upper_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">specificity_upper_limits</span>, <span class="va">spec_upper</span><span class="op">)</span>
  <span class="va">sensitivities</span> <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">sensitivities</span>, <span class="va">sens_result</span><span class="op">)</span>
  <span class="va">sensitivity_lower_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">sensitivity_lower_limits</span>, <span class="va">sens_lower</span><span class="op">)</span>
  <span class="va">sensitivity_upper_limits</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">sensitivity_upper_limits</span>, <span class="va">sens_upper</span><span class="op">)</span>
<span class="op">}</span>
<span class="co"># make table from results</span>
<span class="va">results</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://tibble.tidyverse.org/reference/tibble.html">tibble</a></span><span class="op">(</span>
                  <span class="st">"drug"</span> <span class="op">=</span> <span class="va">drugs</span>,
                  <span class="st">"num_tests"</span> <span class="op">=</span> <span class="va">num_tests</span>,
                  <span class="st">"concordance"</span> <span class="op">=</span> <span class="va">concordances</span>,
                  <span class="st">"TP"</span> <span class="op">=</span> <span class="va">TPs</span>,
                  <span class="st">"FP"</span> <span class="op">=</span> <span class="va">FPs</span>,
                  <span class="st">"TN"</span> <span class="op">=</span> <span class="va">FNs</span>,
                  <span class="st">"FN"</span> <span class="op">=</span> <span class="va">FNs</span>,
                  <span class="st">"specificity"</span> <span class="op">=</span> <span class="va">specificities</span>,
                  <span class="st">"specificity_lower_limits"</span> <span class="op">=</span> <span class="va">specificity_lower_limits</span>,
                  <span class="st">"specificity_upper_limits"</span> <span class="op">=</span> <span class="va">specificity_upper_limits</span>,
                  <span class="st">"sensitivity"</span> <span class="op">=</span> <span class="va">sensitivities</span>,
                  <span class="st">"sensitivity_lower_limits"</span> <span class="op">=</span> <span class="va">sensitivity_lower_limits</span>,
                  <span class="st">"sensitivity_upper_limits"</span> <span class="op">=</span> <span class="va">sensitivity_upper_limits</span>
                <span class="op">)</span>
<span class="va">results</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
drug
</th>
<th style="text-align:right;">
num_tests
</th>
<th style="text-align:right;">
concordance
</th>
<th style="text-align:right;">
TP
</th>
<th style="text-align:right;">
FP
</th>
<th style="text-align:right;">
TN
</th>
<th style="text-align:right;">
FN
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
IPM
</td>
<td style="text-align:right;">
308
</td>
<td style="text-align:right;">
0.8311688
</td>
<td style="text-align:right;">
237
</td>
<td style="text-align:right;">
12
</td>
<td style="text-align:right;">
40
</td>
<td style="text-align:right;">
40
</td>
</tr>
<tr>
<td style="text-align:left;">
MEM
</td>
<td style="text-align:right;">
308
</td>
<td style="text-align:right;">
0.8636364
</td>
<td style="text-align:right;">
239
</td>
<td style="text-align:right;">
10
</td>
<td style="text-align:right;">
32
</td>
<td style="text-align:right;">
32
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">

        <nav id="toc" data-toggle="toc"><h2 data-toc-skip>Contents</h2>
    </nav>
</div>

</div>



      <footer><div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
